\name{VD.SASD-class}
\docType{class}
\alias{VD.SASD-class}
\alias{plot,VD.SASD,ANY-method}
\alias{VD.mean.age}
\alias{VD.mean.age-methods}
\alias{VD.mean.age,ANY-method}
\alias{VD.mean.age,VD.SASD-method}
\alias{VD.mode.age}
\alias{VD.mode.age-methods}
\alias{VD.mode.age,ANY-method}
\alias{VD.mode.age,VD.SASD-method}


\title{Class to represent stable age-stage distribution of a variable development model }
\description{ This class contains a list of information calculated by \code{\link{make.SASD}} from a \linkS4class{VD.sim} object.  It gets its own class label so it can have a plot method.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("VD.SASD", ...)} or by \code{\link{as.VD.SASD}}, which is what \code{\link{make.SASD}} uses.
}
\section{Slots}{
	 \describe{
    \item{\code{.Data}:}{Object of class \code{"list"}. }
  }
}
\section{Extends}{
Class \code{"\linkS4class{list}"}, from data part.
Class \code{"\linkS4class{vector}"}, by class "list", distance 2.
}
\section{Methods}{
  \describe{
    \item{plot}{\code{signature(x = "VD.SASD", y = "ANY")}: This also takes arguments \code{main = "Stable age-stage distribution"}, \code{xlab = "Age"}, \code{ylab = "Stable age-stage distribution"}, \code{lwd = 1}, which are the same as for standard plot functions; \code{age.vector}, a vector of x-axis age values (since \code{x} is taken by the \code{VD.SASD} object; \code{two.axes}, a logical whether two axes should be used or not, which if missing is decided automatically; \code{two.axes.threshold}, the ratio to the highest value below which the right-axis should be used for a stage, which if missing is decided automatically; \code{use.right.axis}, a logical vector to over-ride automated choices of which stage should be plotted vs. which axis; \code{left.lty = "solid"} and \code{right.lty = "dotted"}, which give "lty" values for stages plotted on the scale of the left-hand y-axis or the right-hand y-axis; \code{left.col = "black"} and \code{right.col = left.col} for the colors plotted for each y-axis, \code{right.axis.factor = 1}, an extra scaling factor for the right-hand y-axis; \code{add = TRUE}, whether the plot should be added to an existing plot. }
	 }
    \item{VD.mean.age}{\code{signature(SASD = "VD.SASD") }: Return vector of the mean age-within-stage for each stage at stable age-stage distribution.}
    \item{VD.mode.age}{\code{signature(SASD = "VD.SASD") }: Return vector of the modal age-within-stage for each stage at stable age-stage distribution.}
}
\references{ "Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009. }
\author{ Perry de Valpine }
\seealso{ Introduction and examples can be found by \code{vignette("varDev")}. }
\keyword{classes}
