\name{VD.controls}
\alias{VD.controls}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Make default controls for variable development model simulation}
\description{
  The controls data frame of a \linkS4class{VD.model} object determine how \code{\link{VD.run}} simulates sequential Monte Carlo (SMC) samples. The SMC method simulates individuals that die in or survive through each stage. This function returns a valid controls data frame.  By default it is called with its default arguments when a new VD.model object is created without otherwise specifying controls.
}
\usage{
VD.controls(num.stages, batch.size = 5000, alive.target = 10000, dead.target =  c(rep(10000, num.stages - 1), 0), max.dead = 20000, max.total = 100000, ragged.save = TRUE)}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{num.stages}{ Number of stages in the model }
  \item{batch.size}{ How many life schedules should be simulated in each batch}
  \item{alive.target}{ Number of simulations that live through the stage required before stopping for that stage.}
  \item{dead.target}{ Number of simulations that die in the stage required before stopping for that stage. }
  \item{max.dead}{ Maximum number of simulations that die in the stage. }
  \item{max.total}{ Absolute maximum number of simulations after which stopping is enforced no matter what other conditions are or are not met.   }
  \item{ragged.save}{ If TRUE, all simulations are saved when possible.  If FALSE, only the target number of simulations are saved.  For example, if \code{dead.target} has already been met but \code{alive.target} has not, then if \code{ragged.save} is TRUE, additional dead simulations will be saved while continuing until \code{alive.target} is met. }
}
\value{
  A data frame with columns matching the input arguments are rows for each stage.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\seealso{ \link{VD.run.stage}, \linkS4class{VD.model}, \link{controls}. Introduction and examples can be found by \code{vignette("varDev")}. }
