\name{VD.dist}
\alias{VD.dist}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Create a new VD.dist object }
\description{
   This is a wrapper for \code{new("VD.dist", ...)}.  This is the recommended way to generate new \linkS4class{VD.dist} objects.
}
\usage{
VD.dist(distribution.name, params = NULL, pdf.derivs = NULL, cdf.derivs = NULL, quantile.derivs = NULL)
}

\arguments{
  \item{distribution.name}{A character string of a distribution function name \emph{without} the "p", "d", "q", or "r".  For example \code{distribution.name = "gamma"} will be used internally to get functions \code{pgamma}, \code{dgamma}, etc. \emph{from the calling environment}, i.e. scoped as if the functions had been passed as arguments.}
  \item{params}{A list with names that are argument names for the "p", "d", "q", and "r" distribution functions and values that are the parameter values.  This is used as the second argument of a \code{do.call} call.}
  \item{pdf.derivs}{Optional.  A list with names of parameters and contents that are functions returning derivatives of the probability density, or "d", function.  For example, if \code{norm.deriv.mean} is a function returning the derivative of the normal pdf with respect to the mean, then using \code{pdf.derivs = list(mean = norm.deriv.mean)} tells the VD.dist object about \code{norm.deriv.mean}.  The derivative functions \emph{must} take the same parameters as the other distribution functions. }
  \item{cdf.derivs}{Similar to \code{pdf.derivs}, but for derivatives of the cumulative density, or "p", function.}
  \item{quantile.derivs}{Similar to \code{pdf.derivs}, but for derivatives of the quantile, or "q", function.}
}
\value{
	An object of class \linkS4class{VD.dist}.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\section{Warning}{There is not much type checking to catch mistakes in a user-friendly way.}
\seealso{\code{\link{VD.dist.calc}}, \code{\link{VD.dist.deriv}}, \code{\linkS4class{VD.dist}}. Introduction and examples can be found by \code{vignette("varDev")}.}



