\name{VD.dist.deriv}
\alias{VD.dist.deriv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Derivatives of probability calculations using a VD.dist object. }
\description{
  \code{VD.dist} objects encapsulate calls to a family of distribution functions, such as the normal family represented by \code{pnorm}, \code{dnorm}, \code{qnorm}, and \code{rnorm}.  This function calculates derivatives of the first three of these.  It uses either numerical methods or derivative functions that may have been supplied when creating the \code{VD.dist} object.
}
\usage{
VD.dist.deriv(x, distr, calc, param, force.numerical = FALSE, delta = 1e-04, make.discrete = FALSE, relative = FALSE, new.params = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{Whatever the \emph{first} argument to the "p", "d", or "q" function should be.}
  \item{distr}{An object of class \code{VD.dist}}
  \item{calc}{One of "pdf", "cdf", or "quantile"}
  \item{param}{The parameter name, as a string, with respect to which the derivative should be calculated}
  \item{force.numerical}{ If \code{TRUE}, a numerical derivative will be used regardless of whether \code{VD.dist} knows of an appropriate derivative function. }
  \item{delta}{ Small change in the parameter value used for calculating a numerical derivative.}
  \item{make.discrete}{If \code{TRUE}, the distributions are treated as having integer domain \strong{starting at 1}.  See \code{\link{VD.dist.calc}}. }
  \item{relative}{ If \code{TRUE}, return the derivative divided by the function call itself.  Useful for demographic sensitivity calculations using importance sampling.  }
  \item{new.params}{ Optional list of parameters to replace or insert in the distribution function call.  See \code{\link{VD.dist.calc}}.}
}
\value{
	Derivatives or relative derivatives in whatever form \code{x} was provided.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\seealso{\code{\link{VD.dist.calc}}, \code{\linkS4class{VD.dist}}. Introduction and examples can be found by \code{vignette("varDev")}. }
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.

