\name{VD.fec}
\alias{VD.fec}
\title{Construct new objects of class VD.fec }
\description{
	This is a wrapper for \code{new("VD.fec", ...).}.
}
\usage{
VD.fec(fecundity.function, params = NULL, derivative.functions = NULL)
}
\arguments{
  \item{fecundity.function}{A function object that \strong{must} take as its first argument a vector named \code{age} and as its second argument a corresponding vector named \code{age.maturity} of ages at maturity.  It must return a corresponding vector of fecundities during the time-step that leads to the given ages.  This allows fecundity to depend on either absolute age or age within the reproductive (assumed to be the final) stage.}
    \item{params}{A list with names that are argument names for \code{fecundity.function} and values that are the parameter values.  This is used as the second argument of a \code{do.call} call.}
  \item{derivative.functions}{ An optional list of function objects, omitting the first two arguments as just described, that return fecundity derivatives.  The list names must be the names of the parameters with respect to which the derivatives are taken.  If these are not provided, derivatives will be calculated numerically. }
}
\details{
  When \code{\link{VD.fec.calc}} or \code{\link{VD.fec.deriv}} is called, the \code{function} object \code{fecundity.function} and/or the ones in \code{derivative.functions} are called. 
}
\value{
	An object of class \code{\linkS4class{VD.fec}}.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine }
\section{Warning}{Little or no checking of the validity of \code{fecundity.function} or \code{derivative.functions} is done}
\seealso{ \code{\linkS4class{VD.fec}}, \code{\link{VD.fec.calc}}, \code{\link{VD.fec.deriv}}. Introduction and examples can be found by \code{vignette("varDev")}.}

