\name{VD.fecundity.constant}
\alias{VD.fecundity.constant}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Do fecundity calculations for constant fecundity in a stochastic (or variable) development model.  This is trivial but necessary to allow the generality of fecundity functions.}
\description{
  This function returns the same constant fecundity value in a vector as long as the vectors of ages and ages-at-maturity for which fecundity is requested.
}
\usage{
VD.fecundity.constant(age, age.maturity, F)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{age}{ Vector of ages for which fecundity is requested }
  \item{age.maturity}{ Vector of age-at-maturity for which fecundity is requested }
  \item{F}{ Constant value of fecundity }
}

\value{
  A vector the same length as \code{age} and \code{age.maturity} containing \code{m} in every element.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\seealso{ \code{\linkS4class{VD.fec}}, \code{\link{VD.fec.calc}}. Introduction and examples can be found by \code{vignette("varDev")}.}

