\name{VD.model}
\alias{VD.model}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Create a VD.model object defining a variable (or stochastic) development model. }
\description{
  Takes arguments that specify a variable development model for biologically stage-structured dynamics and returns a \code{\linkS4class{VD.model}} object.
}
\usage{
VD.model(num.stages, marginal.durations, marginal.death.times, fecundity = NULL, controls = NULL, stage.names = NULL, gauss.cov = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{num.stages}{Number of life stages} 
  \item{marginal.durations}{ List of length \code{num.stages}, with each entry an object of class \code{\linkS4class{VD.dist}} defining a marginal stage duration distribution for a life stage, in order.}
  \item{marginal.death.times}{ Similar to \code{marginal.durations}, but for age-within-stage-of-death distributions.}
  \item{fecundity}{ Optional object of class \code{\link{VD.fec}} defining fecundity for the final stage.}
  \item{controls}{ Controls used for sequential Monte Carlo simulation by \code{\link{VD.run}} and \code{\link{VD.run.stage}}.  If omitted, default controls are used.}
  \item{stage.names}{ Vector of strings of length \code{num.stages}, giving labels for the life stages.  If omitted, labels will be "Stage1", "Stage2", etc.}
  \item{gauss.cov}{ Optional \code{num.stages}-by-\code{num.stages} matrix giving covariance matrix for Gaussian copula model defining correlations among stage-duration distributions. }
}

\value{
	An object of class \code{\linkS4class{VD.model}}.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine}
\seealso{\code{\link{VD.run}}, \code{\link{VD.run.stage}}. Introduction and examples can be found by \code{vignette("varDev")}.}

