\name{VD.run.stage}
\alias{VD.run.stage}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Run one stage of a stochastic (or variable) development population model}
\description{
  Given a variable development model description and previous simulation results for individuals that survive to the requested stage, simulate life trajectories for individuals that die in the requested stage and that survive the requested stage.
}
\usage{
VD.run.stage(VDM, VDS, iS, verbose = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{VDM}{A \code{\link{VD.model}} object defining a variable development model and simulation controls}
  \item{VDS}{A \code{\link{VD.sim}} object with simulated life trajectories given survival through stage \code{iS-1}.  If \code{iS} is 1, \code{VD.sim} should be an empty \code{VD.sim} object, generated by \code{VD.sim()}}
  \item{iS}{Index of requested stage.  Should follow the last stage contained in \code{VD.sim}.  (This is slightly redundant information but allows some potential flexibility). }
  \item{verbose}{If \code{TRUE}, display verbose monitoring of simulation progress.  Otherwise the simulation runs silently.}
}
\details{
\code{VD.run.stage} is primarily intended to be called from \code{\link{VD.run}}.  It uses the \code{VDM} definition, including the controls, to manage the simulation.  
}
\value{
An object of class \code{\link{VD.sim}}, equal to the input argument of the same name for any stages prior to \code{iS}, with the new simulation results filled in for stage \code{iS}.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\section{Warning}{Not much type checking is done.}
\seealso{ \code{\link{VD.run}}. Introduction and examples can be found by \code{vignette("varDev")}. }

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.

