\name{VD.solve.euler}
\alias{VD.solve.euler}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Solve the Euler (or Euler-Lotka) equation for the long-term population growth rate r}
\description{
  The Euler equation states that the discounted expected reproductive output of an individual is 1 when the population is growing at its long-term growth rate.  See \link{euler}.
}
\usage{
VD.solve.euler(fecundity.by.age, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{fecundity.by.age}{Data frame produced by \code{\link{calc.average.surv.rep.by.age}} for results from \code{\link{VD.run}} }
  \item{\dots}{optional arguments to be passed to a call to \link{uniroot}}
}
\details{
   The interval in which the solution is searched for is from \code{-50/max(fecundity.by.age$age)} to \code{3}.
}
\value{
  The value (r) that solves the Euler equation.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{Perry de Valpine}
\seealso{ \link{euler}, \link{calc.average.surv.rep.by.age}, \link{VD.run}. Introduction and examples can be found by \code{vignette("varDev")}.}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.

