\name{controls}
\alias{controls}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Return the controls table for a variable development model}
\description{
  The controls table contains various settings that determine how sequential Monte Carlo sampling is done.
}
\usage{
controls(VDM)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{VDM}{ An object of class \linkS4class{VD.model}, a variable development model.}
}
\details{
  Controls determines the size of simulation batches, the stopping criteria, and whether all simulations should be saved.  Simulation goes batch-by-batch until stopping criteria are reached.  Stopping criteria and multiple and can be redundant (so do not all need to be specified), allowing some flexibility.  Specific uses of stopping criteria are determined by \link{VD.run.stage}.
}
\value{
  A data frame with rows corresponding to stages and the following columns:
  \item{batch.size }{How many stage durations and mortalities should be simulated in one batch?  }
  \item{alive.target}{Stopping criteria in terms of minimum number of simulations desired that survive the stage}
  \item{dead.target}{Stopping criteria in terms of minimum number of simulations desired that die in the stage}
  \item{max.dead}{Stopping criteria in terms of maximum number of simulations desired that die in the stage}
  \item{max.total}{Stopping criteria in terms of total number of simulations after which to stop no matter what}
  \item{ragged.save}{If \code{TRUE} for a stage, record simulations even beyond \code{alive.target} or \code{dead.target} if simulation is proceeding because other stopping criteria have not been met.  If \code{FALSE}, throw out simulations beyond \code{alive.target} or \code{dead.target} (but still count them to estimate survival rates, etc.).}
  
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine}
\seealso{ \linkS4class{VD.model}, \code{\link{VD.run}}. \code{\link{VD.run.stage}}. Introduction and examples can be found by \code{vignette("varDev")}.}
