\name{dgeomp1}
\alias{dgeomp1}
\alias{pgeomp1}
\alias{rgeomp1}
\alias{qgeomp1}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Distribution functions for a geometric-plus-one distribution }
\description{
  The standard geometric distribution in \R treats the possible random values as starting at zero.  For a variable development model it is necessary for it to start at 1.  These functions call the corresponding \link{dgeom}, \link{pgeom}, \link{rgeom}, and \link{qgeom} with arguments adjusted by 1.
}
\usage{
dgeomp1(x, prob)
pgeomp1(x, prob, ...)
qgeomp1(p, prob, ...)
rgeomp1(n, prob)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{  Value for which the probability or cumulative probability is requested }
  \item{prob}{ prob parameter of a geometric distribution, see \link{dgeom}}
  \item{p}{ Quantile}
  \item{n}{Number of random values requested}
  \item{...}{Any other arguments to pass the pgeom or qgeom}
}
\details{
  \code{dgeomp1} and \code{pgeomp1} call \code{\link{dgeom}} and \code{\link{pgeom}}, respectively, with \code{x-1}.
  \code{qgeomp1} and \code{rgeomp1} call \code{qgeom} and \code{rgeom}, respectively, and add 1 to the answer.
}
\value{
   See the correponding \code{[d,p,q,r]geom} functions.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine}
\seealso{ Introduction and examples can be found by \code{vignette("varDev")}. }