\name{dinfinite}
\alias{dinfinite}
\alias{pinfinite}
\alias{qinfinite}
\alias{rinfinite}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Dummy functions for a distribution that always results in infinite values }
\description{
  For variable development models, it is useful to treat survival in a uniform way, even if there is no mortality so survival is perfect.  In terms of the distribution of age at death (or age-within-stage at death), this requires an distribution that is always infinite.  In such a case, the stage duration in the model (\linkS4class{VD.model}) takes care of maturation, which, for the last stage, is interpreted as mortality.
}
\usage{
dinfinite(x)
pinfinite(x)
qinfinite(p, ...)
rinfinite(n)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ dummy for a random value}
  \item{p}{dummy for a quantile}
  \item{n}{number of random values requested}
  \item{...}{additional arguments that may be passed along (and not used)}
}
\value{
  \code{dinfinite} and \code{pinfinite} return \code{NA}'s.
  \code{qinfinite} and \code{rinfinite} return \code{Inf}'s.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine }
\seealso{ \linkS4class{VD.model}. Introduction and examples can be found by \code{vignette("varDev")}.}

