\name{euler}
\alias{euler}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Calculate the left hand side of the Euler equation from a sequential Monte Carlo sample of a variable development model }
\description{
  The left hand side of the Euler (or Euler-Lotka) equation gives the discounted expected reproductive success of an individual in a population changing at rate r.  The value of r that sets the Euler equation to 1 is the long-term population growth rate.  
}
\usage{
euler(r, fecundity.by.age)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{r}{ Population growth rate}
  \item{fecundity.by.age}{ Data frame produced by \code{\link{calc.average.surv.rep.by.age}} for results from \code{\link{VD.run}}}
}
\details{
  The left-hand-side of the Euler equation is \code{sum(fecundity.by.age$mean.fecundity * exp(-r*fecundity.by.age$age))}.

  Note that this is not the function used by \code{\link{VD.solve.euler}}, which has its own Euler equation built-in.
}
\value{
	A number.
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine}
\seealso{ \code{\link{VD.deriv.growth.rate}}, \code{\link{VD.run}}. Introduction and examples can be found by \code{vignette("varDev")}.}

