\name{make.SASD}
\alias{make.SASD}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Create information about the stable age and stage distributions of a variable development model from a sequential Monte Carlo sample}
\description{Create information about the stable age and stage distributions of a variable development model from a sequential Monte Carlo sample }
\usage{
make.SASD(VDS, r)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{VDS}{ A variable development simulation of class \linkS4class{VD.sim}}
  \item{r}{ Long-term population growth-rate, i.e. solution to Euler equation obtained by \code{\link{VD.solve.euler}}}
}

\value{
  A \linkS4class{VD.SASD} object, which is a list with components:
  \item{SASD }{A matrix with rows indexed by age and columns by stage.  Each entry has the fraction of the population in that age-stage combination at the stable age-stage distribution.}
  \item{SSD }{Stable stage distribution: A vector indexed by stage of the fraction in each stage.}
  \item{maturing.frac}{Vector indexed by stage of the fraction of each stage maturing, given survival, at each time step}
  \item{dying.frac}{Vector indexed by stage of the fraction of each stage dying at each time step}
  \item{age.vector}{Age vector corresponding to rows of \code{SASD}}
}
\references{"Stochastic development in biologically structured population models" by Perry de Valpine, to appear in Ecology in 2009.}
\author{ Perry de Valpine}
\seealso{ \linkS4class{VD.SASD}. Introduction and examples can be found by \code{vignette("varDev")}.}
